function getId(obj){return typeof(obj) == "string" ? document.getElementById(obj) : obj;}
function checkedAll(id){
	var id = document.getElementsByName(id+"[]");
	for(i=0;i<id.length;i++){
		if(id[i].checked == true){
			id[i].checked = false;
		}
		else{
			id[i].checked = true;
		}
	}
}
function focus(id){
	window.obj = document.getElementById(id);
	window.setTimeout("window.obj.focus()",100);
}

function secondJump(id,url,target,second){
	second = parseInt(second);
	document.getElementById(id).innerHTML = second;
	if(second > 1){
		second--;
		setTimeout("secondJump('"+id+"','"+url+"','"+target+"',"+second+")",1000);
	}
	else{
		if(url == "-1"){
			history.back();
		}
		else if(target == ""){
			location.href = url;
		}
		else if(target == "parent"){
			window.top.location.href = url;
		}
		else{
			top.target.location.href = url;
		}
	}
}

function goTo(url,target){
	if(url == "-1"){
		history.back();
	}
	else if(target == ""){
		location.href = url;
	}
	else if(target == "parent"){
		window.top.location.href = url;
	}
	else{
		top.target.location.href = url;
	}
}

function setCookie(cookieName,cookieValue){
	var date = new Date();
	date.setTime(date.getTime() + 24*60*60*1000000);
	document.cookie = cookieName + "=" + cookieValue + ";expires=" + date.toGMTString() + ";path=/";
}

function readCookie(cookieName){
	var aCookie = document.cookie.split("; ");
	for (var i=0; i < aCookie.length; i++){
	var aCrumb = aCookie[i].split("=");
	if(cookieName == aCrumb[0])
		return unescape(aCrumb[1]);
	}
	return null;
}

function copy(value,msg){
	var clipBoardContent=''; 	
	clipBoardContent += value;
	window.clipboardData.setData("Text",clipBoardContent);
	alert(msg);
}

function resizeImage(obj,maxW,maxH){
	var obj = $(obj);
	if(obj.readyState!='complete'){
		setTimeout("resizeImage("+obj+","+maxW+","+maxH+")",50);
		return false;
	}
	var w = obj.width/maxW;
	var h = obj.height/maxH;
	var r = w>h?w:h;
	var rw = obj.width / r;
	var rh = obj.height / r;
	obj.width = rw;
	obj.height = rh;
}

function ssort(v){
	document.getElementById('b').value=v;
	document.getElementById('f').submit();
}

function ltrim(str){
    return str.replace(/^\\s*/,"");
}

function rtrim(str){
    return str.replace(/\\s*$/,"");
}

function trim(str){
    return rtrim(ltrim(str));
}

function chkCode(code){
	if((/[A-Za-z1-9]{4}/.test(code)) == false){
		return false;
	}
}

function chkStrLen(str,minLength,maxLength){
	if(str.length < minLength) {
		return false;
	}
	if(maxLength != null && str.length > maxLength) {
		return false;
	}
	return true;
}


function chkString(str,minLength,maxLength,pattern){
	pattern = typeof(pattern) == 'undefined' ? '^[^`%&()=;:/\'"]*$' : pattern;
	pattern = new RegExp(pattern);
	if(pattern.test(str)==false){
		return false;
	}
	return chkStrLen(str,minLength,maxLength);
}

function chkInt(int,minLength,maxLength,pattern){
	pattern = typeof(pattern) == 'undefined' ? '^-?[1-9]+[0-9]*$' : pattern;
	pattern = new RegExp(pattern);
	if(pattern.test(int)==false){
		return false;
	}
	return chkStrLen(int,minLength,maxLength);
}

function chkFloat(float,minLength,maxLength,pattern){
	pattern = typeof(pattern) == 'undefined' ? '^(-?[0-9]+)\\\.([0-9]+)$' : pattern;
	pattern = new RegExp(pattern);
	if(pattern.test(float)==false){
		return false;
	}
	return chkStrLen(float,minLength,maxLength);
}

function chkMail(mail,minLength,maxLength,pattern){
	pattern = typeof(pattern) == 'undefined' ? '^\\\w+((-\\\w+)|(\\\.\\\w+))*\\\@[A-Za-z0-9]+((\\\.|-)[A-Za-z0-9]+)*\\\.[A-Za-z0-9]+$' : pattern;
	pattern = new RegExp(pattern);
	if(pattern.test(mail)==false){
		return false;
	}
	return chkStrLen(mail,minLength,maxLength);
}

function chkURL(url,minLength,maxLength,pattern){
	pattern = typeof(pattern) == 'undefined' ? '^http:\/\/[A-Za-z0-9]+\.[A-Za-z0-9]*' : pattern;
	pattern = new RegExp(pattern);
	if(pattern.test(url)==false){
		return false;
	}
	return chkStrLen(url,minLength,maxLength);
}

function chkDate(date,necessarily,pattern){
	pattern = typeof(pattern) == 'undefined' ? '^(([0-9]{2})|(19[0-9]{2})|(20[0-9]{2}))-((0[1-9]{1})|(1[012]{1}))-((0[1-9]{1})|(1[0-9]{1})|(2[0-9]{1})|3[01]{1})$' : pattern;
	pattern = new RegExp(pattern);
	if(necessarily==true){
		if(pattern.test(date)==false){
			return false;
		}
	}
	else{
		if(date!='' && date!=null && pattern.test(date)==false){
			return false;
		}
	}
	return true;
}

function chkTime(time,necessarily,pattern){
	pattern = typeof(pattern) == 'undefined' ? '^(20|21|22|23|1[0-9]{1}|0?[0-9]{1})(:[0-5]?[0-9]{1})(:[0-5]?[0-9]{1})?$' : pattern;
	pattern = new RegExp(pattern);
	if(necessarily==true){
		if(pattern.test(time)==false){
			return false;
		}
	}
	else{
		if(time!='' && time!=null && pattern.test(time)==false){
			return false;
		}
	}
	return true;
}

function chkCardID(id,necessarily,pattern){
	pattern = typeof(pattern) == 'undefined' ? '^[0-9]{15}([0-9]{2}[A-Za-z0-9])?$' : pattern;
	pattern = new RegExp(pattern);
	if(necessarily==true){
		if(pattern.test(id)==false){
			return false;
		}
	}
	else{
		if(id!='' && id!=null && pattern.test(id)==false){
			return false;
		}
	}
	return true;
}

function chkPostCode(postCode,necessarily,pattern){
	pattern = typeof(pattern) == 'undefined' ? '^[0-9]{6}$' : pattern;
	pattern = new RegExp(pattern);
	if(necessarily==true){
		if(pattern.test(postCode)==false){
			return false;
		}
	}
	else{
		if(postCode!='' && postCode!=null && pattern.test(postCode)==false){
			return false;
		}
	}
	return true;
}

function chkPhone(phone,necessarily,pattern){
	pattern = typeof(pattern) == 'undefined' ? '^(([0-9]{3})|([0-9]{3}\-))?1(3)|(4)|(5)|(7)|(8)|(9)[0-9]{9}$' : pattern;
	pattern = new RegExp(pattern);
	if(necessarily==true){
		if(pattern.test(phone)==false){
			return false;
		}
	}
	else{
		if(phone!='' && phone!=null && pattern.test(phone)==false){
			return false;
		}
	}
	return true;
}

function chkTel(tel,necessarily,pattern){
	pattern = typeof(pattern) == 'undefined' ? '^((\([0-9]{3}\))|([0-9]{3}\-))?(\(0[0-9]{2,3}\)|0[0-9]{2,3}-)?[1-9][0-9]{6,7}$' : pattern;
	pattern = new RegExp(pattern);
	if(necessarily==true){
		if(pattern.test(tel)==false){
			return false;
		}
	}
	else{
		if(tel!='' && tel!=null && pattern.test(tel)==false){
			return false;
		}
	}
	return true;
}

function chkCNChr(str,minLength,maxLength,pattern){
	pattern = typeof(pattern) == 'undefined' ? '^[\u4E00-\u9FA5]$' : pattern;
	pattern = new RegExp(pattern);
	if(pattern.test(str)==false){
		return false;
	}
	return chkStrLen(str,minLength,maxLength);
}

function chkIP(str,minLength,maxLength,pattern){
	pattern = typeof(pattern) == 'undefined' ? '^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$' : pattern;
	pattern = new RegExp(pattern);
	if(pattern.test(str)==false){
		return false;
	}
	return chkStrLen(str,minLength,maxLength);
}

function isChinaIDCard(StrNo){  
  StrNo = StrNo.toString()  
  if(StrNo.length==18){  
		var a,b,c  
		if(!isInteger(StrNo.substr(0,17))){return  false}  
		a=parseInt(StrNo.substr(0,1))*7+parseInt(StrNo.substr(1,1))*9+parseInt(StrNo.substr(2,1))*10;  
		a=a+parseInt(StrNo.substr(3,1))*5+parseInt(StrNo.substr(4,1))*8+parseInt(StrNo.substr(5,1))*4;  
		a=a+parseInt(StrNo.substr(6,1))*2+parseInt(StrNo.substr(7,1))*1+parseInt(StrNo.substr(8,1))*6;   
		a=a+parseInt(StrNo.substr(9,1))*3+parseInt(StrNo.substr(10,1))*7+parseInt(StrNo.substr(11,1))*9;   
		a=a+parseInt(StrNo.substr(12,1))*10+parseInt(StrNo.substr(13,1))*5+parseInt(StrNo.substr(14,1))*8;   
		a=a+parseInt(StrNo.substr(15,1))*4+parseInt(StrNo.substr(16,1))*2;  
		b=a%11;  
		//һλΪУλ
		if(b==2){  
			c=StrNo.substr(17,1).toUpperCase();  //תΪдX  
		}  
		else{  
			c=parseInt(StrNo.substr(17,1));  
		}  
		switch(b){  
			case  0:  if(  c!=1  )  {alert("Բ֤");return  false;}break;  
			case  1:  if(  c!=0  )  {alert("Բ֤");return  false;}break;  
			case  2:  if(  c!="X")  {alert("Բ֤");return  false;}break;  
			case  3:  if(  c!=9  )  {alert("Բ֤");return  false;}break;  
			case  4:  if(  c!=8  )  {alert("Բ֤");return  false;}break;  
			case  5:  if(  c!=7  )  {alert("Բ֤");return  false;}break;  
			case  6:  if(  c!=6  )  {alert("Բ֤");return  false;}break;  
			case  7:  if(  c!=5  )  {alert("Բ֤");return  false;}break;  
			case  8:  if(  c!=4  )  {alert("Բ֤");return  false;}break;  
			case  9:  if(  c!=3  )  {alert("Բ֤");return  false;}break;  
			case  10:  if(  c!=2 )  {alert("Բ֤");return  false}  
		}  
	}
	//15λ֤
	else{  
		if(!isInteger(StrNo)){alert("֤,ǰ15λܺӢĸ");return  false}   
	}  

	switch(StrNo.length){  
		case  15:   
			if(isValidDate("19"+StrNo.substr(6,2),StrNo.substr(8,2),StrNo.substr(10,2)))  
				{return  true;}  
			else  
				{return  false;}  
		case  18:   
			if(isValidDate(StrNo.substr(6,4),StrNo.substr(10,2),StrNo.substr(12,2)))  
				{return  true;}  
			else  
				{return  false;}  
	}  
	alert("Բ֤");  
	return  false  
}
function  isValidDate(iY,  iM,  iD)  {   
	pattern = '^(([0-9]{2})|(19[0-9]{2})|(20[0-9]{2}))-((0[1-9]{1})|(1[012]{1}))-((0[1-9]{1})|(1[0-9]{1})|(2[0-9]{1})|3[01]{1})$';
	pattern = new RegExp(pattern);
	date = iY+'-'+iM+'-'+iD;
	if(pattern.test(date)==false){
		alert('֤ڴ');  
		return  false;  
	}  
	return  true;
}
/**/
function  isInteger(str)  {  
	if(/[^\d]+$/.test(str)){  
		return  false;  
	}  
	return  true;  
}  
function IDUpdate(StrNo){  
	if(!isChinaIDCard(StrNo))  {return  false}  
	if(StrNo.length==15){  
		var  a,b,c  
		StrNo=StrNo.substr(0,6)+"19"+StrNo.substr(6,9)  
		a=parseInt(StrNo.substr(0,1))*7+parseInt(StrNo.substr(1,1))*9+parseInt(StrNo.substr(2,1))*10;  
		a=a+parseInt(StrNo.substr(3,1))*5+parseInt(StrNo.substr(4,1))*8+parseInt(StrNo.substr(5,1))*4;  
		a=a+parseInt(StrNo.substr(6,1))*2+parseInt(StrNo.substr(7,1))*1+parseInt(StrNo.substr(8,1))*6;   
		a=a+parseInt(StrNo.substr(9,1))*3+parseInt(StrNo.substr(10,1))*7+parseInt(StrNo.substr(11,1))*9;   
		a=a+parseInt(StrNo.substr(12,1))*10+parseInt(StrNo.substr(13,1))*5+parseInt(StrNo.substr(14,1))*8;   
		a=a+parseInt(StrNo.substr(15,1))*4+parseInt(StrNo.substr(16,1))*2;  
		b=a%11;  
		switch(b){  
			case  0:  {StrNo=StrNo+"1";}break;  
			case  1:  {StrNo=StrNo+"0";}break;  
			case  2:  {StrNo=StrNo+"X";}break;  
			case  3:  {StrNo=StrNo+"9";}break;  
			case  4:  {StrNo=StrNo+"8";}break;  
			case  5:  {StrNo=StrNo+"7";}break;  
			case  6:  {StrNo=StrNo+"6";}break;  
			case  7:  {StrNo=StrNo+"5";}break;  
			case  8:  {StrNo=StrNo+"4";}break;  
			case  9:  {StrNo=StrNo+"3";}break;  
			case  10:  {StrNo=StrNo+"3";}  
		}  
	}  
	return  StrNo;  
}